angular.module('app.routes', ['ionicUIRouter'])

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider
    
  
  .state('tabsController.home', {
    cache: true,
    url: '/page2',
    views: {
      'tab1': {
        templateUrl: 'templates/home.html',
        controller: 'homeCtrl'
      }
    }
  })

  .state('tabsController.whatSOn', {
    url: '/page3',
    params: {term: null },
    views: {
      'tab2': {
        templateUrl: 'templates/whatSOn.html',
        controller: 'whatSOnCtrl'
      }
    }
  })

  .state('tabsController.myEvents', {
    url: '/page4',
    views: {
      'tab3': {
        templateUrl: 'templates/myEvents.html',
        controller: 'myEventsCtrl'
      }
    }
  })

  .state('tabsController', {
    url: '/page1',
    templateUrl: 'templates/tabsController.html',
    abstract:true
  })

  /* 
    The IonicUIRouter.js UI-Router Modification is being used for this route.
    To navigate to this route, do NOT use a URL. Instead use one of the following:
      1) Using the ui-sref HTML attribute:
        ui-sref='tabsController.view'
      2) Using $state.go programatically:
        $state.go('tabsController.view');
    This allows your app to figure out which Tab to open this page in on the fly.
    If you're setting a Tabs default page or modifying the .otherwise for your app and
    must use a URL, use one of the following:
      /page1/tab2/page5
      /page1/tab3/page5
  */
  .state('tabsController.view', {
    url: '/page5',
    params: {listing: null },
    views: {
      'tab2': {
        templateUrl: 'templates/view.html',
        controller: 'viewCtrl'
      },
      'tab3': {
        templateUrl: 'templates/view.html',
        controller: 'viewCtrl'
      }
    }
  })
  .state('view', {
    url: '/view',
    params: {listing: null },
    templateUrl: 'templates/view.html',
    controller: 'viewCtrl'
  })

  .state('mapsExample', {
    url: '/page6',
    templateUrl: 'templates/mapsExample.html',
    controller: 'mapsExampleCtrl'
  })

  .state('page', {
    url: '/page7',
    templateUrl: 'templates/page.html',
    controller: 'pageCtrl'
  })

  .state('signup', {
    url: '/page8',
    templateUrl: 'templates/signup.html',
    controller: 'signupCtrl'
  })

  .state('login', {
    url: '/page9',
    templateUrl: 'templates/login.html',
    controller: 'loginCtrl'
  })

  .state('about', {
    url: '/page10',
    
        templateUrl: 'templates/about.html',
        controller: 'aboutCtrl'
      
  })

  .state('terms', {
    url: '/page11',
    
      
        templateUrl: 'templates/terms.html',
        controller: 'termsCtrl'
     
  })

  .state('search', {
    url: '/page12',
    templateUrl: 'templates/search.html',
    controller: 'searchCtrl'
  })

$urlRouterProvider.otherwise('/page1/page2')

  

});